=== debian/changelog ===
ocaml-eio (1.3-1) unstable; urgency=medium

  * Initial release (Closes: #1114671)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 13 Oct 2025 08:43:50 +0200
