=== debian/control ===
Source: ocaml-eio
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml (>= 2),
 libbigstringaf-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-dllist-ocaml-dev,
 liboptint-ocaml-dev,
 libpsq-ocaml-dev,
 libfmt-ocaml-dev,
 libhmap-ocaml-dev,
 libdomain-local-await-ocaml-dev,
 libmtime-ocaml-dev,
 libiomux-ocaml-dev,
 libcrowbar-ocaml-dev <!nocheck>,
 libmdx-ocaml-dev <!nocheck>,
 libdscheck-ocaml-dev <!nocheck>,
 netbase <!nocheck>,
 ocaml-dune,
 ocaml
Standards-Version: 4.7.2
Homepage: https://github.com/ocaml-multicore/eio
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-eio
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-eio.git

Package: libeio-ocaml
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: effect-based direct-style IO API for OCaml -- runtime files
 Eio provides an effects-based direct-style IO stack for OCaml 5. For
 example, you can use Eio to read and write files, make network
 connections, or perform CPU-intensive calculations, running multiple
 operations at the same time. It aims to be easy to use, secure, well
 documented, and fast. A generic cross-platform API is implemented by
 optimised backends for different platforms. Eio replaces existing
 concurrency libraries such as Lwt (Eio and Lwt libraries can also be
 used together).
 .
 This package contains only the shared runtime stub libraries.

Package: libeio-ocaml-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: effect-based direct-style IO API for OCaml -- development files
 Eio provides an effects-based direct-style IO stack for OCaml 5. For
 example, you can use Eio to read and write files, make network
 connections, or perform CPU-intensive calculations, running multiple
 operations at the same time. It aims to be easy to use, secure, well
 documented, and fast. A generic cross-platform API is implemented by
 optimised backends for different platforms. Eio replaces existing
 concurrency libraries such as Lwt (Eio and Lwt libraries can also be
 used together).
 .
 This package includes the development files.
