=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml-multicore/eio/releases?per_page=50 \
https://github.com/ocaml-multicore/eio/releases/download/\d[\.\d]*/eio-@ANY_VERSION@\.tbz
